worker_processes  1;

events {
    worker_connections  1024;
}

http {
    include       mime.types;
    default_type  application/octet-stream;
    sendfile        on;
    keepalive_timeout  65;
    client_max_body_size 20m;
server_tokens off;

    server {
        listen       80;
        server_name  localhost;
        add_header Referrer-Policy "no-referrer";
        
        location /stub_status {
            stub_status on;
            access_log off;
            allow 192.168.0.177;
        }
                                                
	location / {
            root /home/ruoyi/projects/ruoyi-ui;
	    try_files $uri $uri/ /index.html;
            index  index.html index.htm;
        }
		 location /fileUrl/ {
            rewrite  ^/fileUrl/(.*) /$1 break;
            proxy_pass http://203.0.105.106:9000;
   }
	location /prod-api/{
	  		proxy_set_header Host $http_host;
			proxy_set_header X-Real-IP $remote_addr;
			proxy_set_header REMOTE-HOST $remote_addr;
			proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
                        proxy_set_header X-Forwarded-Proto $scheme;
                        proxy_redirect off;
	    proxy_pass http://203.0.105.106:8288/;
	}
	location /bimapi/ {
                rewrite  ^/bimapi/(.*) /$1 break;
                proxy_pass http://140.249.24.92:3101;
        }


        error_page   500 502 503 504  /50x.html;
        location = /50x.html {
            root   html;
        }
    }
}
